﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WcfClient.ServiceReference1;

namespace WcfClient
{
    /// <summary>
    /// Our main form
    /// </summary>
    public partial class MainForm : Form
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainForm"/> class.
        /// </summary>
        public MainForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Calls the WCF service
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void btnServiceCall_Click(object sender, EventArgs e)
        {
            try
            {
                HelloServiceClient client = new HelloServiceClient();
                client.Open();
                string result = client.HowAreYou(rbImfinetrue.Checked);
                client.Close();

                MessageBox.Show(
                    "Answer from the service: " + result,
                    "WCF Call Finished!",
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Information);
            
            }
            catch (Exception ex)
            {
                MessageBox.Show(
                    ex.Message,
                    ex.ToString(),
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Error);
            }

        }
    }
}
